Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -137,5 +137,5 @@
 
         # text ctl general inputs ( excluding extrapolation text ctl)
-        for key, value in self.input_list.iteritems():
+        for key, value in self.input_list.items():
             if value == '':
                 continue
@@ -163,5 +163,5 @@
         low_off = False
         high_off = False
-        for key, value in self.input_list.iteritems():
+        for key, value in self.input_list.items():
             key_split = key.split('_')
             max_ind = len(key_split) - 1
@@ -213,5 +213,5 @@
                 # other outputs than Q*
                 name = item[0] + "_tcl"
-                if name in self.saved_state.keys():
+                if name in list(self.saved_state.keys()):
                     value = self.saved_state[name]
 
@@ -298,5 +298,5 @@
         top_element.appendChild(state)
 
-        for name, value in self.saved_state.iteritems():
+        for name, value in self.saved_state.items():
             element = newdoc.createElement(str(name))
             element.appendChild(newdoc.createTextNode(str(value)))
@@ -307,7 +307,7 @@
         top_element.appendChild(history)
 
-        for name, value in self.state_list.iteritems():
+        for name, value in self.state_list.items():
             history_element = newdoc.createElement('state_' + str(name))
-            for state_name, state_value in value.iteritems():
+            for state_name, state_value in value.items():
                 state_element = newdoc.createElement(str(state_name))
                 child = newdoc.createTextNode(str(state_value))
@@ -322,5 +322,5 @@
         top_element.appendChild(bookmark)
         item_list = ['time', 'date', 'state', 'comp_state']
-        for name, value_list in self.bookmark_list.iteritems():
+        for name, value_list in self.bookmark_list.items():
             element = newdoc.createElement('mark_' + str(name))
             _, date, state, comp_state = value_list
@@ -331,10 +331,10 @@
             state_list_element = newdoc.createElement('state')
             comp_state_list_element = newdoc.createElement('comp_state')
-            for state_name, state_value in value_list[2].iteritems():
+            for state_name, state_value in value_list[2].items():
                 state_element = newdoc.createElement(str(state_name))
                 child = newdoc.createTextNode(str(state_value))
                 state_element.appendChild(child)
                 state_list_element.appendChild(state_element)
-            for comp_name, comp_value in value_list[3].iteritems():
+            for comp_name, comp_value in value_list[3].items():
                 comp_element = newdoc.createElement(str(comp_name))
                 comp_element.appendChild(newdoc.createTextNode(str(comp_value)))
@@ -365,5 +365,5 @@
             msg = "InvariantSate no longer supports non-CanSAS"
             msg += " format for invariant files"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         if node.get('version')\
@@ -382,5 +382,5 @@
                 except:
                     msg = "InvariantSate.fromXML: Could not read"
-                    msg += " timestamp\n %s" % sys.exc_value
+                    msg += " timestamp\n %s" % sys.exc_info()[1]
                     logger.error(msg)
 
@@ -454,5 +454,5 @@
         # default string values
         for num in range(1, 19):
-            exec "s_%s = 'NA'" % str(num)
+            exec("s_%s = 'NA'" % str(num))
         lines = strings.split('\n')
         # get all string values from __str__()
@@ -695,5 +695,5 @@
         except:
             msg = "XML document does not contain invariant"
-            msg += " information.\n %s" % sys.exc_value
+            msg += " information.\n %s" % sys.exc_info()[1]
             logger.info(msg)
         return state
@@ -737,5 +737,5 @@
                         output.append(sas_entry)
         else:
-            raise RuntimeError, "%s is not a file" % path
+            raise RuntimeError("%s is not a file" % path)
 
         # Return output consistent with the loader's api
@@ -783,5 +783,5 @@
             msg = "The cansas writer expects a Data1D"
             msg += " instance: %s" % str(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
         # make sure title and data run is filled up.
         if datainfo.title is None or datainfo.title == '':
Index: src/sas/sasgui/perspectives/invariant/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -94,5 +94,5 @@
                     except:
                         # DO not open
-                        logger.error("Could not open file: %s" % sys.exc_value)
+                        logger.error("Could not open file: %s" % sys.exc_info()[1])
             # delete image file
             os.remove(pic_fname)
Index: src/sas/sasgui/perspectives/pr/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/pr/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "P(r) plug-in 1.0"
-from pr import *
+from .pr import *
Index: src/sas/sasgui/perspectives/pr/explore_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -35,5 +35,5 @@
 from sas.sasgui.plottools.plottables import Graph
 
-from pr_widgets import PrTextCtrl
+from .pr_widgets import PrTextCtrl
 
 # Default number of points on the output plot
@@ -331,5 +331,5 @@
         selection_msg = wx.StaticText(self, -1, "Select a dependent variable:")
         self.output_box = wx.ComboBox(self, -1, style=wx.CB_READONLY)
-        for item in self.results.outputs.keys():
+        for item in list(self.results.outputs.keys()):
             self.output_box.Append(item, "")
         self.output_box.SetStringSelection(DEFAULT_OUTPUT)
@@ -419,5 +419,5 @@
                 # This inversion failed, skip this D_max value
                 msg = "ExploreDialog: inversion failed "
-                msg += "for D_max=%s\n%s" % (str(d), sys.exc_value)
+                msg += "for D_max=%s\n%s" % (str(d), sys.exc_info()[1])
                 logger.error(msg)
 
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision cb62bd55ae79395ac6e01d8b2077f4d496625c41)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -12,8 +12,8 @@
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sasgui.guiframe.panel_base import PanelBase
-from inversion_state import InversionState
-from pr_widgets import PrTextCtrl
-from pr_widgets import DataFileTextCtrl
-from pr_widgets import OutputTextCtrl
+from .inversion_state import InversionState
+from .pr_widgets import PrTextCtrl
+from .pr_widgets import DataFileTextCtrl
+from .pr_widgets import OutputTextCtrl
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
@@ -754,5 +754,5 @@
         except:
             # No estimate or bad estimate, either do nothing
-            logger.error("InversionControl._on_accept_alpha: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_alpha: %s" % sys.exc_info()[1])
 
     def _on_accept_nterms(self, evt):
@@ -770,5 +770,5 @@
         except:
             # No estimate or bad estimate, either do nothing
-            logger.error("InversionControl._on_accept_nterms: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_nterms: %s" % sys.exc_info()[1])
 
     def clear_panel(self):
@@ -901,5 +901,5 @@
                 message += "than the number of points"
                 wx.PostEvent(self._manager.parent, StatusEvent(status=message))
-                raise ValueError, message
+                raise ValueError(message)
             self.nfunc_ctl.SetBackgroundColour(wx.WHITE)
             self.nfunc_ctl.Refresh()
@@ -957,5 +957,5 @@
         Invoke the d_max exploration dialog
         """
-        from explore_dialog import ExploreDialog
+        from .explore_dialog import ExploreDialog
         if self._manager._last_pr is not None:
             pr = self._manager._create_plot_pr()
@@ -1009,5 +1009,5 @@
                 self._set_analysis(True)
             except:
-                msg = "InversionControl._change_file: %s" % sys.exc_value
+                msg = "InversionControl._change_file: %s" % sys.exc_info()[1]
                 logger.error(msg)
 
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -238,5 +238,5 @@
             msg = "InversionState no longer supports non-CanSAS"
             msg += " format for P(r) files"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         if node.get('version') and node.get('version') == '1.0':
@@ -254,5 +254,5 @@
                 except:
                     msg = "InversionState.fromXML: Could not read "
-                    msg += "timestamp\n %s" % sys.exc_value
+                    msg += "timestamp\n %s" % sys.exc_info()[1]
                     logger.error(msg)
 
@@ -434,5 +434,5 @@
         except:
             msg = "XML document does not contain P(r) "
-            msg += "information.\n %s" % sys.exc_value
+            msg += "information.\n %s" % sys.exc_info()[1]
             logger.info(msg)
 
@@ -481,5 +481,5 @@
                         output.append(sas_entry)
         else:
-            raise RuntimeError, "%s is not a file" % path
+            raise RuntimeError("%s is not a file" % path)
 
         # Return output consistent with the loader's api
@@ -525,5 +525,5 @@
             msg = "The cansas writer expects a Data1D "
             msg += "instance: %s" % str(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         # Create basic XML document
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision cb62bd55ae79395ac6e01d8b2077f4d496625c41)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -15,5 +15,5 @@
 # Make sure the option of saving each curve is available
 # Use the I(q) curve as input and compare the output to P(r)
-from __future__ import print_function
+
 
 import sys
@@ -33,5 +33,5 @@
 import sas.sascalc.dataloader
 
-from pr_widgets import load_error
+from .pr_widgets import load_error
 from sas.sasgui.guiframe.plugin_base import PluginBase
 
@@ -107,5 +107,5 @@
 
         # Associate the inversion state reader with .prv files
-        from inversion_state import Reader
+        from .inversion_state import Reader
 
         # Create a CanSAS/Pr reader
@@ -151,5 +151,5 @@
                 msg = "Pr.set_state: datainfo parameter cannot "
                 msg += "be None in standalone mode"
-                raise RuntimeError, msg
+                raise RuntimeError(msg)
 
             # Ensuring that plots are coordinated correctly
@@ -185,5 +185,5 @@
             self.control_panel.set_state(state)
         except:
-            logger.error("prview.set_state: %s" % sys.exc_value)
+            logger.error("prview.set_state: %s" % sys.exc_info()[1])
 
 
@@ -195,5 +195,5 @@
 
         """
-        from inversion_panel import HelpDialog
+        from .inversion_panel import HelpDialog
         dialog = HelpDialog(None, -1)
         if dialog.ShowModal() == wx.ID_OK:
@@ -369,5 +369,5 @@
         Redisplay P(r) with a different number of points
         """
-        from inversion_panel import PrDistDialog
+        from .inversion_panel import PrDistDialog
         dialog = PrDistDialog(None, -1)
         dialog.set_content(self._pr_npts)
@@ -452,5 +452,5 @@
         # Notify the user if we could not read the file
         if dataread is None:
-            raise RuntimeError, "Invalid data"
+            raise RuntimeError("Invalid data")
 
         x = None
@@ -472,5 +472,5 @@
                 if dataread is None:
                     return x, y, err
-                raise RuntimeError, "This tool can only read 1D data"
+                raise RuntimeError("This tool can only read 1D data")
 
         self._current_file_data.x = x
@@ -512,5 +512,5 @@
                     data_err = np.append(data_err, err)
                 except:
-                    logger.error(sys.exc_value)
+                    logger.error(sys.exc_info()[1])
 
         if scale is not None:
@@ -563,5 +563,5 @@
                         data_err = np.append(data_err, err)
                     except:
-                        logger.error(sys.exc_value)
+                        logger.error(sys.exc_info()[1])
                 elif line.find("The 6 columns") >= 0:
                     data_started = True
@@ -720,5 +720,5 @@
             Start a calculation thread
         """
-        from pr_thread import CalcPr
+        from .pr_thread import CalcPr
 
         # If a thread is already started, stop it
@@ -850,11 +850,11 @@
                 pr = self._create_file_pr(data)
             except:
-                status = "Problem reading data: %s" % sys.exc_value
+                status = "Problem reading data: %s" % sys.exc_info()[1]
                 wx.PostEvent(self.parent, StatusEvent(status=status))
-                raise RuntimeError, status
+                raise RuntimeError(status)
 
             # If the file contains nothing, just return
             if pr is None:
-                raise RuntimeError, "Loaded data is invalid"
+                raise RuntimeError("Loaded data is invalid")
 
             self.pr = pr
@@ -906,5 +906,5 @@
             msg = "pr.save_data: the data being saved is not a"
             msg += " sas.data_info.Data1D object"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
     def setup_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None,
@@ -929,5 +929,5 @@
                 self.perform_inversion()
         except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_info()[1]))
 
     def estimate_plot_inversion(self, alpha, nfunc, d_max,
@@ -953,5 +953,5 @@
                 self.perform_estimate()
         except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_info()[1]))
 
     def _create_plot_pr(self, estimate=False):
@@ -1034,5 +1034,5 @@
                 self.perform_inversion()
         except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_info()[1]))
 
     def estimate_file_inversion(self, alpha, nfunc, d_max, data,
@@ -1057,5 +1057,5 @@
                 self.perform_estimate()
         except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_info()[1]))
 
     def _create_file_pr(self, data):
@@ -1086,5 +1086,5 @@
             x, y, err = data.x, data.y, data.dy
         except:
-            load_error(sys.exc_value)
+            load_error(sys.exc_info()[1])
             return None
 
@@ -1125,5 +1125,5 @@
             return pr
         except:
-            load_error(sys.exc_value)
+            load_error(sys.exc_info()[1])
         return None
 
@@ -1132,5 +1132,5 @@
             Perform parameter estimation
         """
-        from pr_thread import EstimatePr
+        from .pr_thread import EstimatePr
 
         # If a thread is already started, stop it
@@ -1162,5 +1162,5 @@
             Perform parameter estimation
         """
-        from pr_thread import EstimateNT
+        from .pr_thread import EstimateNT
 
         # If a thread is already started, stop it
@@ -1239,5 +1239,5 @@
             Create and return a list of panel objects
         """
-        from inversion_panel import InversionControl
+        from .inversion_panel import InversionControl
 
         self.parent = parent
@@ -1287,5 +1287,5 @@
                 msg += "Please select one.\n"
                 if len(data_list) > 1:
-                    from pr_widgets import DataDialog
+                    from .pr_widgets import DataDialog
                     dlg = DataDialog(data_list=data_1d_list, text=msg)
                     if dlg.ShowModal() == wx.ID_OK:
@@ -1307,5 +1307,5 @@
                     self.control_panel._change_file(evt=None, data=data)
                 except:
-                    msg = "Prview Set_data: " + str(sys.exc_value)
+                    msg = "Prview Set_data: " + str(sys.exc_info()[1])
                     wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
             else:
Index: src/sas/sasgui/perspectives/pr/pr_thread.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr_thread.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/pr/pr_thread.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -43,5 +43,5 @@
         except:
             if self.error_func is not None:
-                self.error_func("CalcPr.compute: %s" % sys.exc_value)
+                self.error_func("CalcPr.compute: %s" % sys.exc_info()[1])
 
 class EstimatePr(CalcThread):
@@ -71,5 +71,5 @@
         except:
             if self.error_func is not None:
-                self.error_func("EstimatePr.compute: %s" % sys.exc_value)
+                self.error_func("EstimatePr.compute: %s" % sys.exc_info()[1])
 
 class EstimateNT(CalcThread):
@@ -111,3 +111,3 @@
         except:
             if self.error_func is not None:
-                self.error_func("EstimatePr2.compute: %s" % sys.exc_value)
+                self.error_func("EstimatePr2.compute: %s" % sys.exc_info()[1])
Index: src/sas/sasgui/plottools/LineModel.py
===================================================================
--- src/sas/sasgui/plottools/LineModel.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sasgui/plottools/LineModel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -83,5 +83,5 @@
         elif x.__class__.__name__ == 'tuple':
             msg = "Tuples are not allowed as input to BaseComponent models"
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self._line(x)
@@ -105,5 +105,5 @@
         elif x.__class__.__name__ == 'tuple':
             msg = "Tuples are not allowed as input to BaseComponent models"
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self._line(x)
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -2,5 +2,5 @@
     Plot panel.
 """
-from __future__ import print_function
+
 
 import logging
@@ -16,13 +16,13 @@
 from matplotlib.figure import Figure
 import os
-import transform
+from . import transform
 #TODO: make the plottables interactive
-from binder import BindArtist
+from .binder import BindArtist
 from matplotlib.font_manager import FontProperties
 DEBUG = False
 
-from plottables import Graph
-from TextDialog import TextDialog
-from LabelDialog import LabelDialog
+from .plottables import Graph
+from .TextDialog import TextDialog
+from .LabelDialog import LabelDialog
 import operator
 
@@ -44,5 +44,5 @@
         for a in obj.get_children(): show_tree(a, d + 1)
 
-from convert_units import convert_unit
+from .convert_units import convert_unit
 
 
@@ -116,5 +116,5 @@
         self.figure = Figure(None, dpi, linewidth=2.0)
         self.color = '#b3b3b3'
-        from canvas import FigureCanvas
+        from .canvas import FigureCanvas
         self.canvas = FigureCanvas(self, -1, self.figure)
         self.SetColor(color)
@@ -657,8 +657,8 @@
         else:
             plot_dict = plotlist
-        from fitDialog import LinearFit
-
-        if len(plot_dict.keys()) > 0:
-            first_item = plot_dict.keys()[0]
+        from .fitDialog import LinearFit
+
+        if len(list(plot_dict.keys())) > 0:
+            first_item = list(plot_dict.keys())[0]
             dlg = LinearFit(parent=None, plottable=first_item,
                             push_data=self.onFitDisplay,
@@ -691,5 +691,5 @@
             return
         name = menu.GetHelpString(id)
-        for plot in self.plots.values():
+        for plot in list(self.plots.values()):
             if plot.name == name:
                 self.graph.selected_plottable = plot.id
@@ -703,5 +703,5 @@
 
         """
-        from fitDialog import LinearFit
+        from .fitDialog import LinearFit
         if self._fit_dialog is not None:
             return
@@ -733,8 +733,8 @@
             self._fit_dialog = None
         plot_list = self.graph.returnPlottable()
-        if len(plot_list.keys()) > 0:
-            first_item = plot_list.keys()[0]
+        if len(list(plot_list.keys())) > 0:
+            first_item = list(plot_list.keys())[0]
             if first_item.x != []:
-                from PropertyDialog import Properties
+                from .PropertyDialog import Properties
                 dial = Properties(self, -1, 'Properties')
                 dial.setValues(self.prevXtrans, self.prevYtrans, self.viewModel)
@@ -956,5 +956,5 @@
             hl = sorted(zip(handles, labels),
                         key=operator.itemgetter(1))
-            handles2, labels2 = zip(*hl)
+            handles2, labels2 = list(zip(*hl))
             self.line_collections_list = handles2
             self.legend = self.subplot.legend(handles2, labels2,
@@ -986,5 +986,5 @@
         hl = sorted(zip(handles, labels),
                     key=operator.itemgetter(1))
-        handles2, labels2 = zip(*hl)
+        handles2, labels2 = list(zip(*hl))
         self.line_collections_list = handles2
         self.legend = self.subplot.legend(handles2, labels2,
@@ -1247,5 +1247,5 @@
                 hl = sorted(zip(handles, labels),
                             key=operator.itemgetter(1))
-                handles2, labels2 = zip(*hl)
+                handles2, labels2 = list(zip(*hl))
                 self.line_collections_list = handles2
                 self.legend = ax.legend(handles2, labels2,
@@ -1327,5 +1327,5 @@
         if id is None:
             id = name
-        from plottable_interactor import PointInteractor
+        from .plottable_interactor import PointInteractor
         p = PointInteractor(self, self.subplot, zorder=zorder, id=id)
         if p.markersize is not None:
@@ -1344,5 +1344,5 @@
         if id is None:
             id = name
-        from plottable_interactor import PointInteractor
+        from .plottable_interactor import PointInteractor
         p = PointInteractor(self, self.subplot, zorder=zorder, id=id)
         p.curve(x, y, dy=dy, color=color, symbol=symbol, zorder=zorder,
@@ -1754,5 +1754,5 @@
             self.graph.delete(self.fit_result)
             if hasattr(self, 'plots'):
-                if 'fit' in self.plots.keys():
+                if 'fit' in list(self.plots.keys()):
                     del self.plots['fit']
         self.ly = None
Index: src/sas/sasgui/plottools/__init__.py
===================================================================
--- src/sas/sasgui/plottools/__init__.py	(revision efe730d4bba7a05c203957e4495eece8359fcd77)
+++ src/sas/sasgui/plottools/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,2 +1,2 @@
-from PlotPanel import PlotPanel
-from plottables import Data1D, Theory1D
+from .PlotPanel import PlotPanel
+from .plottables import Data1D, Theory1D
Index: src/sas/sasgui/plottools/arrow3d.py
===================================================================
--- src/sas/sasgui/plottools/arrow3d.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/arrow3d.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -59,5 +59,5 @@
             return
         xs3d, ys3d, zs3d = self._verts3d
-        for i in xrange(len(xs3d)):
+        for i in range(len(xs3d)):
             xs, ys, _ = proj3d.proj_transform(xs3d[i], ys3d[i], zs3d[i], renderer.M)
             self.set_positions((xs[0], ys[0]), (xs[1], ys[1]))
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/binder.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -2,5 +2,5 @@
 Extension to MPL to support the binding of artists to key/mouse events.
 """
-from __future__ import print_function
+
 
 import sys
@@ -28,5 +28,5 @@
         return self.artist is not other.artist
 
-    def __nonzero__(self):
+    def __bool__(self):
         return self.artist is not None
 
@@ -125,5 +125,5 @@
             for cid in self._connections: self.canvas.mpl_disconnect(cid)
         except:
-            logger.error("Error disconnection canvas: %s" % sys.exc_value)
+            logger.error("Error disconnection canvas: %s" % sys.exc_info()[1])
         self._connections = []
 
@@ -189,6 +189,6 @@
         # Check that the trigger is valid
         if trigger not in self._actions:
-            raise ValueError, "%s invalid --- valid triggers are %s"\
-                 % (trigger, ", ".join(self.events))
+            raise ValueError("%s invalid --- valid triggers are %s"\
+                 % (trigger, ", ".join(self.events)))
 
         # Register the trigger callback
@@ -205,5 +205,5 @@
         """
         if action not in self.events:
-            raise ValueError, "Trigger expects " + ", ".join(self.events)
+            raise ValueError("Trigger expects " + ", ".join(self.events))
 
         # Tag the event with modifiers
Index: src/sas/sasgui/plottools/canvas.py
===================================================================
--- src/sas/sasgui/plottools/canvas.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/canvas.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -98,5 +98,5 @@
             dc.DrawBitmap(self.canvas.bitmap, (0, 0))
         except:
-            logger.error(sys.exc_value)
+            logger.error(sys.exc_info()[1])
 
     # restore original figure  resolution
@@ -209,5 +209,5 @@
                 fig.draw(self)
             except ValueError:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
         else:
             self._isRendered = False
Index: src/sas/sasgui/plottools/convert_units.py
===================================================================
--- src/sas/sasgui/plottools/convert_units.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/convert_units.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -3,5 +3,5 @@
     This is a cleaned up version of unitConverter.py
 """
-from __future__ import print_function
+
 
 import re
@@ -44,10 +44,10 @@
                             unit = toks[0] + "^{" + str(powerer) + "}"
                 else:
-                    raise ValueError, "missing } in unit expression"
+                    raise ValueError("missing } in unit expression")
         else:  # no powerer
             if  power != 1:
                 unit = "(" + unit + ")" + "^{" + str(power) + "}"
     else:
-        raise ValueError, "empty unit ,enter a powerer different from zero"
+        raise ValueError("empty unit ,enter a powerer different from zero")
     return unit
 
Index: src/sas/sasgui/plottools/fitDialog.py
===================================================================
--- src/sas/sasgui/plottools/fitDialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/fitDialog.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,8 +1,8 @@
 import wx
-from plottables import Theory1D
+from .plottables import Theory1D
 import math
 import numpy as np
-import fittings
-import transform
+from . import fittings
+from . import transform
 import sys
 
@@ -86,5 +86,5 @@
         self.layout()
         # Receives the type of model for the fitting
-        from LineModel import LineModel
+        from .LineModel import LineModel
         self.model = LineModel()
         # Display the fittings values
@@ -671,5 +671,5 @@
                 return x
             else:
-                raise ValueError, "cannot compute log of a negative number"
+                raise ValueError("cannot compute log of a negative number")
 
     def floatInvTransform(self, x):
@@ -734,5 +734,5 @@
         except:
             msg = "LinearFit.set_fit_region: fit range must be floats"
-            raise ValueError, msg
+            raise ValueError(msg)
         self.xminFit.SetValue(format_number(xmin))
         self.xmaxFit.SetValue(format_number(xmax))
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/fittings.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -14,5 +14,5 @@
 
 """
-from __future__ import print_function
+
 
 from scipy import optimize
@@ -101,5 +101,5 @@
     # Testing implementation
     # Fit a Line model
-    from LineModel import LineModel
+    from .LineModel import LineModel
     line = LineModel()
     cstA = Parameter(line, 'A', event.cstA)
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -2,7 +2,7 @@
     This module allows more interaction with the plot
 """
-from __future__ import print_function
-
-from BaseInteractor import _BaseInteractor
+
+
+from .BaseInteractor import _BaseInteractor
 
 
